
include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_BINARY_DIR}/include
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}/../wizardpages
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### newusertwizard (static)

tde_add_library( newuserwizard STATIC_PIC AUTOMOC
  SOURCES
    knewuserwizard.cpp
    kgeneralpagedecl.ui
    kcurrencypagedecl.ui
    kpasswordpagedecl.ui
    kaccountpagedecl.ui
    kpreferencepagedecl.ui
    tdefilepagedecl.ui
    kintropagedecl.ui

  DEPENDENCIES
    kmm-includes
)
